Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.message
Interface IdeMessageManager

public interface IdeMessageManager

Interface `IdeMessageManager` controls the visibility of Together's message pane and defines methods for getting a default message page and adding/removing the user-defined message pages.

Current `IdeMessageManager` can be obtained via `IdeMessageManagerAccess.getMessageManager` method.

Author:
  TogetherSoft
See Also: IdeMessageManagerAccess.getMessageManager()

Method Summary
`void` | `closePage(IdeMessagePage page)` Closes specified page.
`IdeMessagePage` | `findPage(Object pageID)` Finds `IdeMessagePage` with the specified ID.
`IdeMessagePage` | `getActivePage()` Returns the active `IdeMessagePage`.
`IdeMessagePage` | `getDefaultPage()` Returns Together's message page, where all the Together messages are displayed.
`Component` | `getUIComponent()` Returns AWT component that represents this message pane.
`boolean` | `isPaneVisible()` Checks whether the Together's message pane is visible on the screen.
`IdeMessagePage` | `openPage(Object pageID)` Opens a message page with the specified ID.
`IdeMessagePage` | `openPage(Object pageID, Component page, IdeMessageView messageView)` Adds a user-definded message page to the Together's message pane.
`void` | `requestFocus()` Requests that the message pane get the focus.
`void` | `setActivePage(IdeMessagePage page)` Sets specified message page active.
`void` | `setPaneVisible(boolean value)` Sets the visibility of the Together's message pane.

Method Detail

### closePage

    public void closePage(IdeMessagePage page)

  Closes specified page.
  Parameters:
    page - `IdeMessagePage` to close

### findPage

    public IdeMessagePage findPage(Object pageID)

  Finds `IdeMessagePage` with the specified ID.
  Parameters:
    pageID - `Object` ID of a page
  Returns: `IdeMessagePage` with the specified ID or `null` if such page doesn't exist
  See Also:
    openPage(java.lang.Object), closePage(com.togethersoft.openapi.ide.message.IdeMessagePage)

### getActivePage

    public IdeMessagePage getActivePage()

  Returns the active `IdeMessagePage`.
  Returns: `IdeMessagePage`

### getDefaultPage

    public IdeMessagePage getDefaultPage()

  Returns Together's message page, where all the Together messages are displayed.
  Returns: `IdeMessagePage`
  See Also:
    IdeMessagePage

### getUIComponent

    public Component getUIComponent()

  Returns AWT component that represents this message pane.

### isPaneVisible

    public boolean isPaneVisible()

  Checks whether the Together's message pane is visible on the screen.
  Returns: `true` if the message pane if visible, `false` otherwise

### openPage

    public IdeMessagePage openPage(Object pageID)

  Opens a message page with the specified ID. If such page doesn't exist, then creates and opens a new page. This method creates a standard Together message page (similar to the default page). To create user-defined pages, method openPage(Object, Component, IdeMessageView) is used.
  Parameters:
    pageID - `Object` ID of the page to be opened
  Returns: opened `IdeMessagePage`
  See Also:
    openPage(java.lang.Object,java.awt.Component,com.togethersoft.openapi.ide.message.IdeMessageView), closePage(com.togethersoft.openapi.ide.message.IdeMessagePage)

### openPage

    public IdeMessagePage openPage(Object pageID, Component page, IdeMessageView messageView)

  Adds a user-definded message page to the Together's message pane.
  Parameters:
    pageID - `Object` ID of the page to be added
    page - `Component` object
    messageView - `IdeMessageView` object containing user-defined implementaion of the message printing methods. If `null`, the standard implementation of methods `printMessage(int type, String text, String sourceURL, String helpURL)` and `printMessage(int type, String text)` will be used.
  Returns: opened `IdeMessagePage`
  See Also:
    openPage(java.lang.Object), setActivePage(com.togethersoft.openapi.ide.message.IdeMessagePage), IdeMessageView

### requestFocus

    public void requestFocus()

  Requests that the message pane get the focus. The message pane must be visible on the screen for this request to be granted.

### setActivePage

    public void setActivePage(IdeMessagePage page)

  Sets specified message page active. If this page was previously closed using `closePage` method, it has to be reopened using `openPage` method before activating.
  Parameters:
    page - `IdeMessagePage` to set active
  See Also:
    closePage(com.togethersoft.openapi.ide.message.IdeMessagePage), openPage(java.lang.Object), openPage(java.lang.Object,java.awt.Component,com.togethersoft.openapi.ide.message.IdeMessageView), IdeMessagePage

### setPaneVisible

    public void setPaneVisible(boolean value)

  Sets the visibility of the Together's message pane.
  Parameters:
    value - `boolean` flag. If `true` then the message pane will be made visible, invisible otherwise.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD